--- a/ui/gtk/gsk.sigs
+++ b/ui/gtk/gsk.sigs
@@ -1,16 +1,16 @@
-GskRenderNodeType gsk_render_node_get_node_type(GskRenderNode* node);
+GskRenderNodeType gsk_render_node_get_node_type(const GskRenderNode* node);
 void gsk_render_node_unref(GskRenderNode* node);
-GskRenderNode* gsk_transform_node_get_child(GskRenderNode* node);
-GskRenderNode* gsk_opacity_node_get_child(GskRenderNode* node);
-GskRenderNode* gsk_color_matrix_node_get_child(GskRenderNode* node);
-GskRenderNode* gsk_repeat_node_get_child(GskRenderNode* node);
-GskRenderNode* gsk_clip_node_get_child(GskRenderNode* node);
-GskRenderNode* gsk_rounded_clip_node_get_child(GskRenderNode* node);
-GskRenderNode* gsk_shadow_node_get_child(GskRenderNode* node);
-GskRenderNode* gsk_blur_node_get_child(GskRenderNode* node);
-GskRenderNode* gsk_debug_node_get_child(GskRenderNode* node);
-GskRenderNode* gsk_container_node_get_child(GskRenderNode* node, guint idx);
-GskRenderNode* gsk_gl_shader_node_get_child(GskRenderNode* node, guint idx);
-guint gsk_container_node_get_n_children(GskRenderNode* node);
-guint gsk_gl_shader_node_get_n_children(GskRenderNode* node);
-GdkTexture* gsk_texture_node_get_texture(GskRenderNode* node);
+GskRenderNode* gsk_transform_node_get_child(const GskRenderNode* node);
+GskRenderNode* gsk_opacity_node_get_child(const GskRenderNode* node);
+GskRenderNode* gsk_color_matrix_node_get_child(const GskRenderNode* node);
+GskRenderNode* gsk_repeat_node_get_child(const GskRenderNode* node);
+GskRenderNode* gsk_clip_node_get_child(const GskRenderNode* node);
+GskRenderNode* gsk_rounded_clip_node_get_child(const GskRenderNode* node);
+GskRenderNode* gsk_shadow_node_get_child(const GskRenderNode* node);
+GskRenderNode* gsk_blur_node_get_child(const GskRenderNode* node);
+GskRenderNode* gsk_debug_node_get_child(const GskRenderNode* node);
+GskRenderNode* gsk_container_node_get_child(const GskRenderNode* node, guint idx);
+GskRenderNode* gsk_gl_shader_node_get_child(const GskRenderNode* node, guint idx);
+guint gsk_container_node_get_n_children(const GskRenderNode* node);
+guint gsk_gl_shader_node_get_n_children(const GskRenderNode* node);
+GdkTexture* gsk_texture_node_get_texture(const GskRenderNode* node);
--- a/ui/gtk/gtk_util.cc
+++ b/ui/gtk/gtk_util.cc
@@ -705,7 +705,7 @@
   DCHECK(GtkCheckVersion(4));
   struct {
     GskRenderNodeType node_type;
-    GskRenderNode* (*get_child)(GskRenderNode*);
+    GskRenderNode* (*get_child)(const GskRenderNode*);
   } constexpr simple_getters[] = {
       {GSK_TRANSFORM_NODE, gsk_transform_node_get_child},
       {GSK_OPACITY_NODE, gsk_opacity_node_get_child},
@@ -719,8 +719,8 @@
   };
   struct {
     GskRenderNodeType node_type;
-    guint (*get_n_children)(GskRenderNode*);
-    GskRenderNode* (*get_child)(GskRenderNode*, guint);
+    guint (*get_n_children)(const GskRenderNode*);
+    GskRenderNode* (*get_child)(const GskRenderNode*, guint);
   } constexpr container_getters[] = {
       {GSK_CONTAINER_NODE, gsk_container_node_get_n_children,
        gsk_container_node_get_child},
